# $Revision: 1.64 $, $Date: 2011/09/08 18:35:26 $
# TODO
# - make tests use secure dir, not /tmp, see varnish-2.0.6/bin/varnishtest
# - hungs ac builders: tests/a00009.vtc

# Conditional build:
%bcond_without	doc		# build documentation
%bcond_without	tests	# build without tests. binds daemon on 127.0.0.1 9080, 9081, 9001 ports

Summary:	Varnish - a high-performance HTTP accelerator
Summary(pl.UTF-8):	Varnish - wydajny akcelerator HTTP
Name:		varnish
Version:	2.1.5
Release:	1
License:	BSD
Group:		Networking/Daemons/HTTP
Source0:	http://repo.varnish-cache.org/source/%{name}-%{version}.tar.gz
# Source0-md5:	2d2f227da36a2a240c475304c717b8e3
Source1:	%{name}.init
Source3:	%{name}ncsa.init
Source4:	%{name}.sysconfig
Source5:	%{name}ncsa.sysconfig
Source6:	%{name}.logrotate
Source7:	%{name}.conf
#Patch100:	branch.diff
Patch0:		%{name}-build.patch
URL:		http://www.varnish-cache.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.583
%if %{with doc}
BuildRequires:	docutils
BuildRequires:	groff
BuildRequires:	libxslt-progs
%endif
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gcc
Requires:	glibc-devel
Requires:	rc-scripts >= 0.4.1.26
Suggests:	vim-syntax-vcl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/run

%description
The goal of the Varnish project is to develop a state-of-the-art,
high-performance HTTP accelerator.

Varnish is targeted primarily at the FreeBSD 6 and Linux 2.6
platforms, and will take full advantage of the advanced I/O features
offered by these operating systems.

%description -l pl.UTF-8
Celem projektu Varnish jest stworzenie wydajnego akceleratora HTTP.

Varnish jest tworzony głównie z myślą o platformach FreeBSD 6 i Linux
2.6 i będzie wykorzystywał w pełni zaawansowane możliwości we/we
oferowane przez te systemy operacyjne.

%package libs
Summary:	Libraries for Varnish
Group:		Libraries
Conflicts:	varnish < 2.0.4-2

%description libs
Libraies for Varnish.

%package devel
Summary:	Header files for varnish library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki varnish
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for varnish library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki varnish.

%package static
Summary:	Static varnish library
Summary(pl.UTF-8):	Statyczna biblioteka varnish
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static varnish library.

%description static -l pl.UTF-8
Statyczna biblioteka varnish.

%prep
%setup -q
#%patch100 -p0
%patch0 -p1

%build
export CPPFLAGS="-I/usr/include/ncurses"
%{__aclocal}
%{__libtoolize}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
%ifarch hppa s390 sparc ppc
	--disable-jemalloc
%endif

%{__sed} -i -e '/CURSES_LIBS = / s,-lcurses,-ltinfo &,' bin/varnish{hist,stat,top,sizes}/Makefile

%{__make}

%if %{with tests}
%{__make} check \
	LD_LIBRARY_PATH="../../lib/libvarnish/.libs:../../lib/libvarnishcompat/.libs:../../lib/libvarnishapi/.libs:../../lib/libvcl/.libs"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

# make dirs after make install to know which ones needs spec and which ones make install
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{logrotate.d,rc.d/init.d,sysconfig},/var/{run,lib}/varnish} \
	$RPM_BUILD_ROOT/var/log/{archive/,}varnish

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/varnish
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/varnishncsa
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/varnish
cp -p %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/varnishncsa
cp -p %{SOURCE6} $RPM_BUILD_ROOT/etc/logrotate.d/varnish
cp -p %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/default.vcl

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add varnish
/sbin/chkconfig --add varnishncsa
%service varnish restart
%service varnishncsa restart

%pre
%groupadd -g 241 %{name}
%useradd -u 241 -d /var/lib/%{name} -g %{name} -c "Varnishd User" %{name}

%postun
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%preun
if [ "$1" = "0" ]; then
	%service -q varnish stop
	%service -q varnishncsa stop
	/sbin/chkconfig --del varnish
	/sbin/chkconfig --del varnishncsa
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README ChangeLog etc/*.vcl
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/default.vcl
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/varnish
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/varnishncsa
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/varnish
%attr(754,root,root) /etc/rc.d/init.d/varnish
%attr(754,root,root) /etc/rc.d/init.d/varnishncsa
%attr(755,root,root) %{_sbindir}/varnishd
%attr(755,root,root) %{_bindir}/varnish*
%{_mandir}/man1/*
%{_mandir}/man7/*
%dir /var/lib/varnish
%dir /var/run/varnish

%dir %attr(751,root,root) /var/log/varnish
%dir %attr(750,root,root) /var/log/archive/varnish

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvarnish*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvarnish*.so.1
%attr(755,root,root) %{_libdir}/libvcl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvcl.so.1

%files devel
%defattr(644,root,root,755)
%{_includedir}/varnish
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: varnish.spec,v $
Revision 1.64  2011/09/08 18:35:26  glen
- release 1

Revision 1.63  2011/08/14 08:26:12  glen
- add missing deps, found by cleanbuild

Revision 1.62  2011/08/13 22:53:47  glen
- more link fixes

Revision 1.61  2011/08/13 22:30:31  glen
- up to 2.1.5, --with-max-header-fields no longer needed

Revision 1.60  2011/08/13 22:26:35  glen
- up to 2.1.4

Revision 1.59  2010/09/30 14:00:47  glen
- quick -ltinfo fix; rel 5

Revision 1.58  2010/05/26 21:40:15  glen
- add branch.diff

Revision 1.57  2010/05/26 14:17:11  glen
- drop varnishlog initscript; it is pointless to capture all the log all the times

Revision 1.56  2010/04/21 15:29:42  glen
- release 4

Revision 1.55  2010/04/21 12:12:08  glen
-  HTTP_HDR_MAX_VAL 128 instead of 32

Revision 1.54  2010/04/15 13:38:35  glen
- enable tests, using localhost is not considered "network access"

Revision 1.53  2010/04/15 11:10:23  glen
- no need to start daemon ourselves

Revision 1.52  2010/04/15 10:58:58  glen
- add tests; All 145 tests passed on carme

Revision 1.51  2010/04/06 10:55:06  glen
- suggest vim syntax

Revision 1.50  2010/04/06 07:05:46  glen
- release 3

Revision 1.49  2010/01/08 16:48:01  glen
- release 2

Revision 1.48  2010/01/08 15:34:41  glen
- up to 2.0.6

Revision 1.47  2010/01/08 11:08:41  glen
- release 6

Revision 1.46  2010/01/07 16:02:23  glen
- implemented reload and configtest to initscript (based on debian/reload-vcl); rel 5

Revision 1.45  2010/01/07 15:30:19  glen
- rc-scripts with status --pidfile

Revision 1.44  2009/12/10 08:50:08  glen
- release 4

Revision 1.43  2009/11/20 15:12:52  glen
- release 3

Revision 1.42  2009/11/18 15:35:59  glen
- release 2

Revision 1.41  2009/11/18 15:06:30  glen
- update to 2.0.5, package log dirs

Revision 1.40  2009/10/16 12:59:53  glen
- apply branch.diff

Revision 1.39  2009/10/05 12:43:49  glen
- -libs split; rel 2

Revision 1.38  2009/07/20 14:04:45  glen
- release 1

Revision 1.37  2009/07/20 14:01:50  glen
- add /etc/sysconfig/varnishncsa

Revision 1.36  2009/07/20 13:47:47  glen
- package varnishlog, varnishncsa initscripts and logrotating

Revision 1.35  2009/07/20 12:44:24  glen
- create varnish user/group

Revision 1.34  2009/07/20 12:15:34  glen
- disable ppc too: error: thread-local storage not supported for this target

Revision 1.33  2009/07/20 12:13:18  glen
- Disable jemalloc for architectures that lack *_2POW definitions (from debian bts #503381)

Revision 1.32  2009/04/02 20:16:11  areq
- 2.0.4

Revision 1.31  2009/02/16 23:42:06  zbyniu
- up to 2.0.3

Revision 1.30  2008/11/16 13:33:11  arekm
- some build fixes/hacks

Revision 1.29  2008/11/16 12:56:57  areq
- 2.0.2 NFY - problem with build

Revision 1.28  2008/10/25 16:10:46  blues
- HTTP group

Revision 1.27  2008-01-11 15:15:55  glen
- R: glibc-devel

Revision 1.26  2007-12-30 19:58:54  rotom
- 1.1.2

Revision 1.25  2007/08/22 21:22:42  adamg
- updated to 1.1.1; simplified %files

Revision 1.24  2007/07/02 21:58:33  glen
- rel 2

Revision 1.23  2007/07/02 17:27:58  glen
- todo update

Revision 1.22  2007/07/02 17:03:53  glen
- wikipedia says license is under a two-clause BSD license

Revision 1.21  2007/07/02 17:02:03  glen
- INSTALL is about compilation

Revision 1.20  2007/07/02 16:56:55  glen
- R: gcc to compile vcl rules

Revision 1.19  2007/07/02 16:53:30  glen
- use rpm macros for auto* tools

Revision 1.18  2007/07/02 16:50:33  glen
- fix vcl config

Revision 1.17  2007/07/02 16:46:39  glen
- rel 1.3

Revision 1.16  2007/07/02 11:52:30  glen
- add /var/run/varnish

Revision 1.15  2007/07/02 11:35:13  glen
- rel 1

Revision 1.14  2007/06/03 18:38:30  areq
- 1.0.4

Revision 1.13  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.11  2006/12/03 21:51:33  blues
- wildcard lib

Revision 1.10  2006/12/01 09:12:33  glen
- add vcl.conf
- standard %config perms

Revision 1.9  2006/12/01 08:35:19  blues
- config is missing

Revision 1.8  2006/12/01 08:32:18  blues
- cosmetics

Revision 1.7  2006/11/28 23:29:09  qboosh
- pl, unified

Revision 1.6  2006/11/28 21:20:18  glen
- unify sf url

Revision 1.5  2006/11/26 23:55:06  darekr
- missing dir

Revision 1.4  2006/11/26 23:43:56  glen
- added initscripts
- libstd++-devel BR

Revision 1.3  2006/11/26 23:38:20  glen
- initscripts not present, cosmetics

Revision 1.2  2006/11/26 23:35:59  glen
- complete descriptions
- ncurses build fix

Revision 1.1  2006/11/26 23:33:20  glen
- new, based on bundled spec
